TQScintilla: TQextScintillaLexerPerl Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaLexerPerl Class Reference

The TQextScintillaLexerPerl class encapsulates the Scintilla Perl lexer. More...

`#include <tqextscintillalexerperl.h>`

Inherits TQextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- WhiteSpace = Default
- Error = 1
- Comment = 2
- POD = 3
- Number = 4
- Keyword = 5
- DoubleQuotedString = 6
- SingleQuotedString = 7
- Operator = 10
- Identifier = 11
- Scalar = 12
- Array = 13
- Hash = 14
- SymbolTable = 15
- Regex = 17
- Substitution = 18
- Backticks = 20
- DataSection = 21
- HereDocumentDelimiter = 22
- SingleQuotedHereDocument = 23
- DoubleQuotedHereDocument = 24
- BacktickHereDocument = 25
- QuotedStringQ = 26
- QuotedStringQQ = 27
- QuotedStringQX = 28
- QuotedStringQR = 29
- QuotedStringQW = 30
- PODVerbatim = 31
- enum {
  Default = 0, WhiteSpace = Default, Error = 1,
  Comment = 2, POD = 3, Number = 4,
  Keyword = 5, DoubleQuotedString = 6, SingleQuotedString = 7,
  Operator = 10, Identifier = 11, Scalar = 12,
  Array = 13, Hash = 14, SymbolTable = 15,
  Regex = 17, Substitution = 18, Backticks = 20,
  DataSection = 21, HereDocumentDelimiter = 22, SingleQuotedHereDocument = 23,
  DoubleQuotedHereDocument = 24, BacktickHereDocument = 25, QuotedStringQ = 26,
  QuotedStringQQ = 27, QuotedStringQX = 28, QuotedStringQR = 29,
  QuotedStringQW = 30, PODVerbatim = 31
  }

## Public Slots

- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)

## Public Member Functions

- TQextScintillaLexerPerl (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerPerl ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- const char * wordCharacters () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const
- void refreshProperties ()
- bool foldComments () const
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (TQSettings &qs, const TQString &prefix)
- bool writeProperties (TQSettings &qs, const TQString &prefix) const

## Detailed Description

The TQextScintillaLexerPerl class encapsulates the Scintilla Perl lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Perl lexer.

Enumerator:

  Default | The default.
  WhiteSpace | Deprecated: White space.
  Error | An error.
  Comment | A comment.
  POD | A POD.
  Number | A number.
  Keyword | A keyword.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  Operator | An operator.
  Identifier | An identifier.
  Scalar | A scalar.
  Array | An array.
  Hash | A hash.
  SymbolTable | A symbol table.
  Regex | A regular expression.
  Substitution | A substitution.
  Backticks | Backticks.
  DataSection | A data section.
  HereDocumentDelimiter | A here document delimiter.
  SingleQuotedHereDocument | A single quoted here document.
  DoubleQuotedHereDocument | A double quoted here document.
  BacktickHereDocument | A backtick here document.
  QuotedStringQ | A quoted string (q).
  QuotedStringQQ | A quoted string (qq).
  QuotedStringQX | A quoted string (qx).
  QuotedStringQR | A quoted string (qr).
  QuotedStringQW | A quoted string (qw).
  PODVerbatim | A verbatim POD.

## Constructor & Destructor Documentation

TQextScintillaLexerPerl::TQextScintillaLexerPerl | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerPerl with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerPerl::~TQextScintillaLexerPerl | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerPerl instance.

## Member Function Documentation

const char* TQextScintillaLexerPerl::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements TQextScintillaLexer.

const char* TQextScintillaLexerPerl::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerPerl::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerPerl::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from TQextScintillaLexer.

TQFont TQextScintillaLexerPerl::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from TQextScintillaLexer.

const char* TQextScintillaLexerPerl::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from TQextScintillaLexer.

TQString TQextScintillaLexerPerl::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerPerl::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from TQextScintillaLexer.

void TQextScintillaLexerPerl::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerPerl::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool TQextScintillaLexerPerl::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void TQextScintillaLexerPerl::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then multi-line comment blocks can be folded. The default is false.

See also:
  foldComments()

virtual void TQextScintillaLexerPerl::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool TQextScintillaLexerPerl::readProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerPerl::writeProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from TQextScintillaLexer.